package m05bSeguroEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bSeguro;


/**
 * This is the Remote Interface for the Entity EJB <tt>M05SeguroEB</tt>.
 *
 * @see     m05.exe.Seguro
 * @see     m05.exe.M05SeguroEBHome
 * @see     m05.exe.M05SeguroEBPK
 * @see     m05.exe.M05SeguroEBBean
 */
public interface m05Seguro extends EJBObject{

  public String getSeg_codigo()throws RemoteException;  
  public void setSeg_codigo(String n)throws RemoteException;  
  
  public String getSeg_cia()throws RemoteException;  
  public void setSeg_cia(String n)throws RemoteException;  
  
  public String getSeg_direccion()throws RemoteException;  
  public void setSeg_direccion(String n)throws RemoteException;  
  
  public String getSeg_telefono()throws RemoteException;  
  public void setSeg_telefono(String n)throws RemoteException;  

  
  public String getSeg_poliza()throws RemoteException;  
  public void setSeg_poliza(String n)throws RemoteException;  
  
  public String getSeg_modalidad()throws RemoteException;  
  public void setSeg_modalidad(String n)throws RemoteException;  


  /**
   * Returns the Seguro information of this E-EJB.
   */   
  public m05bSeguro getSeguro()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException 
   *              If the given Seguro <tt>mod_id</tt> field 
   *              does not match the primary key that is in the E-EJB.
   */     
/*  public void setSeguro(Seguro seguro)
    throws RemoteException, Exception;    */

}	